MAXEYE DVB-T Signal Generation Toolkit Help

The MAXEYE DVB-T Signal generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the ETSI standard EN 300744 version 1.6.1. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye DVB-T SG Initialize.vi

This VI creates MaxEye DVB-T Generation Handle with the default values and passes the handle to the later VIs.

Generation Handle Name The unique measurement name. For multiple unique measurements within the same session, the name must be unique.

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T Generation Handle

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - DVB-T Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye DVB-T RFSG Create and Download Waveform(Hierarchical).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-TSignal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DVBT waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

This is a polymorphic VI. Please select the correct Instance your application. The available options are Hierarchical and Non-Hierarchical.

instrument handle instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

DVB-T Generation Handle

DVB-T Generation Handle

Waveform name

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T RFSG Create and Download Waveform(Non-Hierarchical)).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-TSignal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DVBT waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

DVB-T Generation Handle

DVB-T Generation Handle

Waveform name

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out instrument handle out passes a reference from the instrument session to the next VI.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Create and Save Waveform(Hierarchical).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-T Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the DVB-T waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

DVB-T Generation Handle

DVB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Waveform Length in Samples

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Create and Save Waveform(Non-Hierarchical).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-T Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the DVB-T waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

DVB-T Generation Handle

DVB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Waveform Length in Samples

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set BandWidth.vi

This VI configures the value for signal bandwidth property, in Hz in the DVB-T Signal Generation handle. The signal bandwidth determines the IFFT sampling frequency and IQ rate of the generated complex waveform. The valid enum values for the signal bandwidth are 0 (8 MHz), 1 (7MHz) , 2 (6MHz) and 3 (5MHz).

The default value is 0 (8MHz).

DVB-T Generation Handle

DVB-T Generation Handle

Bandwidth

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Guard Intervel.vi

This VI configures the Guard Interval to be used for the DVB-T signal generation. The valid enum values for the Guard Interval property are 1/4, 1/8, 1/16 and 1/32. The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size.
The default value is 1/4.

DVB-T Generation Handle

DVB-T Generation Handle

Gaurd Interval

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled property in the DVB-T Signal Generation handle. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

Oversampling Enabled ?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Output Sampling Rate.vi

This VI configures the Output Sampling Rate (Hz) property of the DVBT Signal Generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

The Default Sampling rates
Bandwidth Sampling rate (MSPS)
8MHz 64/7
7MHz 8
6MHz 48/7
5MHz 40/7

DVB-T Generation Handle

DVB-T Generation Handle

Output Sampling Rate, Hz

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Output Waveform Sample Width.vi

This VI configures the Sample Width property in the DVB-T Signal Generation handle. The toolkit uses this value only when MaxEye DVB-T SG Create and Save Waveform API VI is used for storing the generated waveform in the file.

If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Sample Width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Read Waveform From File I8.vi

This VI reads the DVB-T waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

refnum in

count (1)

Sample Width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out

Waveform

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Get MPEG2TS PIDs.vi

This VI returns the list of available PIDs from all the MPEG2 TS files used as a payload for generating the signal. This VI returns an empty array if the Payload Mode property is not set to MPEG2TS File(s).

DVB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle 2

MPEG2TS PIDs

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Get Channel Bitrate.vi

This VI returns the Channel Bitrate property in bits/second for the given input configuration to the DVB-T signal generation handle.

The toolkit returns an error if the channel bitrate is lesser than the sum of the bitrate of all the MPEG2TS files.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

Channel Bitrate

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Get Play Duration.vi

This VI returns the Play Duration property in seconds to the DVB-T signal generation handle.

To increase the duration of the generated waveform, set higher value for the Number of TS Packets property.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

Play Duration, Seconds

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Close Handle.vi

This VI closes the DVB-T Signal Generation handle and resources associated with it.

DVB-T Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Mode.vi

This VI configures the DVB-T signal generation mode. The valid enum values are 2k and 8K.
2k Mode uses 1705 subcarriers and 8k mode uses 6817 subcarriers.

Default value for this property is 2k.

DVB-T Generation Handle

DVB-T Generation Handle

Mode

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Transmission Format.vi

This VI configures the value for Transmission Format property, in the DVB-T Signal Generation handle.
There are 2 possible transmission formats "Hierarchical" and "Non-Hierarchical".

Default value for this property is set to "Non-Hierarchical".

DVB-T Generation Handle

DVB-T Generation Handle

Transmission Format

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Cell Details.vi

This VI configures the value for Cell Details in DVB-T Signal Generation handle. The cell details consists of the Cell ID and CellID Identification properties.
Default cell ID is zero and cell identification is set to false by default.

DVB-T Generation Handle

DVB-T Generation Handle

Cell Details

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Waveform File Path.vi

The VI configures the file location for the Waveform File Path property in DVB-T Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye DVB-T RFSG Create and Save Waveform API VI is used for the wavefrom creation.

Waveform File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Alpha.vi

This VI configures the Alpha property in the DVBT Signal Generation handle. Alpha is the minimum distance separating two constellation points carrying different HP-bit values divided by the minimum distance separating any two constellation points. Non-hierarchical transmission uses the same uniform constellation as the case with Alpha = 1. For more information refer section 4.3.5 of the DVB-T EN 300744 standard version 1.6.1. The toolkit returns an error if the value of the Alhpa is not equal to 1 for Non-Hierarchical mode of transmission.

The valid values are 1, 2 and 4.

DVB-T Generation Handle

DVB-T Generation Handle

Alpha

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Modulation.vi

This VI configures the Modulation Scheme property in the DVBT Signal Generation handle. The enum values for the modulation schemes are QPSK, 16QAM and 64 QAM

The default value for the Modulation Scheme is QPSK.

DVB-T Generation Handle

DVB-T Generation Handle

Modulation

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Number of SuperFrames.vi

This VI configures the total number of super frames property in the DVBT signal generation toolkit. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The default value is 1.

DVB-T Generation Handle

DVB-T Generation Handle

Number Of SuperFrames

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Headroom.vi

This VI configures the Head room property in the DVB-T Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 12 dB.

Headroom, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Code Rate.vi

This VI should be used to configures the value for Low Priority Code Rate property in the DVB-T Signal Generation handle. This property is valid only for the "Hierarchical" Transmission mode.

Valid coderates for this are 1/2,2/3,3/4,5/6,7/8.

Default value for this property is 1/2.

Measurement Handle In

LP CodeRate

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Measurement Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set HP Code Rate.vi

This VI configures the value for signal HP Code Rate property in the DVB-T Signal Generation handle.
The valid values are 1/2,2/3,3/4,5/6,7/8.

Default value for this is 1/2.

DVB-T Generation Handle

DVB-T Generation Handle

Code Rate

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Multipath Channel Enabled.vi

Mutlipath Channel

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Multipath Delay in micro seconds.vi

Path Delay, mico seconds

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T Generation Handle

DVB-T Generation Handle

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Multipath Gain in dB.vi

Path Power, dB

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T Generation Handle

DVB-T Generation Handle

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set Multipath Phase in radians.vi

Path Phase, radians

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T Generation Handle

DVB-T Generation Handle

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set HP Payload Configuration.vi

This VI configures the Payload properties for High Priority(HP) stream in the DVB-T Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

Digital Video Payload Control

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload File Path.vi

This VI configures the Payload File Path property in the DVB-T Signal Generation handle for the HP Stream.

Payload File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload Mode.vi

This VI configures the Payload Mode property in the DVB-T Signal Generation handle for HP stream. The valid values for the Payload Mode property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

Payload Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload PN Order.vi

This VI configures the Payload PN Order property in the DVB-T Signal Generation handle for the HP Stream. The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Order property is 15.

Payload PN Order

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload PN Seed.vi

This VI configures the Payload PN Seed property in the DVB-T Signal Generation handle for HP Stream. The PN Seed specifies the initialization value of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence.

The default value for the Payload PN Seed property is 0xBEEFBEEF.

Payload PN Seed

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload Test Pattern.vi

This VI configures the Payload Test Pattern property in the DVB-T Signal Generation handle for HP Stream . This property is applicable only when the Payload Mode property is set to Test Pattern. The valid values for the Payload Test Pattern are All 1s, All 0s, 10101010, 11110000.

The default value for the Payload Test Pattern property is All 1s.

Payload Test Pattern

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Payload User Defined Bits.vi

This VI configures the Payload User Defined Bits property in the DVB-T Signal Generation handle for HP Stream. This property is applicable only when the Payload Mode property is set to User Defined Bits. The user defined bits should be array of 1s and 0s.

The default value is 0.

Payload User Defined Bits

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload Configuration.vi

This VI configures the Payload properties for Low Priority(HP) stream in the DVB-T Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster. This property is valid only for the "Hierarchical" Transmission mode.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

Digital Video Payload Control( LP)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload File Path.vi

This VI configures the Payload File Path property in the DVB-T Signal Generation handle for the LP stream.
This property is valid only for the "Hierarchical" Transmission mode.

Payload File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload Mode.vi

This VI configures the Payload Mode property in the DVB-T Signal Generation handle for LP stream. This property is valid only for the "Hierarchical" Transmission mode. The valid values for the Payload Mode property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

Payload Mode

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload PN Order.vi

This VI configures the Payload PN Order property in the DVB-T Signal Generation handle for the LP Stream. The PN order specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence. This property is valid only for the "Hierarchical" Transmission mode.

The default value for the Payload PN Order property is 15.

Payload PN Order

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload PN Seed.vi

This VI configures the Payload PN Seed property in the DVB-T Signal Generation handle for the LP Stream. The PN Seed specifies the initialization value of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload Mode property is set to PN Sequence. This property is valid only for the "Hierarchical" Transmission mode.

The default value for the Payload PN Seed property is 0xBEEFBEEF.

Payload PN Seed

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload Test Pattern.vi

This VI configures the Payload Test Pattern property in the DVB-T Signal Generation handle . This property is applicable only when the Payload Mode property is set to Test Pattern. The valid values for the Payload Test Pattern are All 1s, All 0s, 10101010, 11110000. This property is valid only for the "Hierarchical" Transmission mode.

The default value for the Payload Test Pattern property is All 1s.

Payload Test Pattern

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Payload User Defined Bits.vi

This VI configures the Payload User Defined Bits property in the DVB-T Signal Generation handle for the LP Stream. This property is applicable only when the Payload Mode property is set to User Defined Bits. The user defined bits should be array of 1s and 0s. This property is valid only for the "Hierarchical" Transmission mode.

The default value is 0.

Payload User Defined Bits

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP Number of MPEG2 TS Files.vi

This VI configures the MPEG2 TS Number of Files property in the DVB-T Signal Generation handle for HP Stream. The toolkit combines the multiple TS files to a single TS bitstream based on the bitrate of the each TS file and the channle bitrate of the DVBT system. The channel bitrate of the DVB-T system is determined by the hierarchical layer configuration.

The default value is 1.

MPEG2 TS Number of TS Files

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set HP MPEG2 TS File Path.vi

The VI configures the file location for the MPEG2TS File Path property in DVB-T Signal Generation handle for the selected TS File index for the HP stream. The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

MPEG2 TS File Path

TS File Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Sync Insertion Enabled.vi

This VI configures the Sync Insertion Enabled property in the DVBT Generation handle. If this property is set to True and the Payload Mode property is set to other than MPEG2TS File(s) mode then the toolkit inserts the MPEG2 TS bitstream header byte value (0x47) at the beginning of every 188 bytes.

The default value is False.

Sync Insertion Enabled

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP Number of MPEG2 TS Files.vi

This VI configures the MPEG2 TS Number of Files property in the DVB-T Signal Generation handle for LP Stream. The toolkit combines the multiple TS files to a single TS bitstream based on the bitrate of the each TS file and the channle bitrate of the DVBT system. The channel bitrate of the DVBT system is determined by the hierarchical layer configuration.

This property is valid only for the "Hierarchical" Transmission mode.

The default value is 1.

MPEG2 TS Number of TS Files

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set LP MPEG2 TS File Path.vi

The VI configures the file location for the MPEG2TS File Path property in DVB-T Signal Generation handle for the selected TS File index for LP Stream. The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

This property is valid only for the "Hierarchical" Transmission mode.

MPEG2 TS File Path

TS File Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Impairments Enabled.vi

This VI configures the Impairments Enabled property in the DVB-T Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

The valid values are True and False. The default value is False.

Impairments Enabled ?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Quadrature Skew.vi

This VI configures the value for Quadrature skew Property in degrees in the DVBT Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

The default value for the Quadrature Skew is 0.

DVB-T Generation Handle

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle 2

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set IQ Gain Imbalance.vi

The VI configures the value for the IQ Gain Imbalance property, in dB in the DVB-T Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

The default value is 0.

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Impairment Configuration.vi

This VI configures the Payload properties for Low Priority(HP) stream in the DVB-T Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster. This property is valid only for the "Hierarchical" Transmission mode.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

Impairments

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set I DC Offset.vi

This VI configures the I DC Offset, in % in the DVB-T Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

The default value is 0.

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Q DC Offset.vi

This VI configures the value for Q DC Offset property, in % in the DVB-T Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

The default value is 0.

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Carrier to Noise Ratio.vi

This VI configures the value for the Carrier to Noise ratio property, in dB in the DVB-T Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

The default value is 50dB.

Carrier to Noise Ratio, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set AWGN Enabled.vi

This VI configures the AWGN Enabled property in the DVB-T Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

The valid values are True and False. The default value is False.

DVB-T Generation Handle

AWGN Enabled

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle 2

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Clock Offset.vi

This VI configures the value for the Clock Offset property, in PPM in the DVBT Signal Generation handle. The toolkit applies the clock offset to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

Clock Offset (PPM)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Frequency Offset.vi

This VI configures the value for the Frequency Offset property, in Hz in the DVB-T Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

The default value is 0.

Frequency offset, Hz

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Close.vi

This function closes the measurement.

(c) Copyright 2008, National Instruments, Inc. This software may not be duplicated, sold, or distributed without written consent from National Instruments.

Measurement Handle In

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SG Set MPEG2 TS File Path.vi

The VI configures the file location for the MPEG2TS File Path property in DVBT Signal Generation handle for the selected TS File index. The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

MPEG2 TS File Path

TS File Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Number of MPEG2 TS Files.vi

This VI configures the MPEG2 TS Number of Files property in the DVBT Signal Generation handle. The toolkit combines the multiple TS files to a single TS bitstream based on the bitrate of the each TS file and the channle bitrate of the DVBT system. The channel bitrate of the DVBT system is determined by the hierarchical layer configuration.

The default value is 1.

MPEG2 TS Number of TS Files

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DVB-T SG Set Progress Bar Control Refnum.vi

This VI configures the control refnum in the DVB-T Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

Progress Bar Control RefNum

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Generation Handle

DVB-T Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.